Revive ORES filters on Related Changes
Closed, ResolvedPublic

Description

Issues with the way the ORES search was implemented on Related Changes caused us to back the ORES functions out of that last April, as documented in T163063.

Related Changes is a surprisingly popular page, with an avg. 50K pvs per day on en.wiki. My understanding is that changes made since April may make it safe for the New Filters ORES tools (Edit Quality and User Intent filters) to be revived on Related Changed. If this is so, let's do it—after first evaluating whether it is, in fact, safe.

When we revive ORES on Releated Changes, the Recent Changes Revision Scoring preferences described in T180866 will control the page.

Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptNov 3 2017, 6:35 PM
Restricted Application added a subscriber: Liuxinyu970226. · View Herald Transcript

@Ladsgroup @Halfak @Catrope, do we think it's safe to bring these back? If so, should we do a test release of some type to make sure before releasing the features generally? If so, what type of test would you recommend?

jmatazzoni lowered the priority of this task from Unbreak Now! to Normal.Nov 3 2017, 6:38 PM

We should be able to just bring this back, provided we first review and EXPLAIN the query to verify that it's now OK.

Ladsgroup moved this task from Incoming to Monitor on the User-Ladsgroup board.Dec 28 2017, 11:10 PM

Change 403479 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[mediawiki/extensions/ORES@master] Tentatively re-enable ORES filters on RecentChangesLinked

https://gerrit.wikimedia.org/r/403479

Change 403479 merged by jenkins-bot:
[mediawiki/extensions/ORES@master] Tentatively re-enable ORES filters on RecentChangesLinked

https://gerrit.wikimedia.org/r/403479

@jmatazzoni, @Catrope ORES filters are now available on RecentChangesLinked (aka RelatedChanges) everwhere when using a special URL parameter (experimental_ores_on_rcl=1)

I have done some testing on popular pages with unlikely filters combination (very likely good faith + very likely have problems) and high limit and days values. Both highlight and filtering seem to work fine and be fast. I could not find any problem.

Feel free to try other combinations or pages that you think might be problematic.

Example: https://en.wikipedia.org/w/index.php?damaging=verylikelybad&goodfaith=likelygood&target=Donald+Trump&limit=500&days=30&title=Special:RecentChangesLinked&urlversion=2&experimental_ores_on_rcl=1

jmatazzoni added a subscriber: Etonkovidova.EditedJan 24 2018, 5:10 PM
This comment has been deleted.

The ORES filters on Related Changes are not visible by default. They are hidden behind a private URL parameter (experimental_ores_on_rcl=1) while we check for performance issues.

@jmatazzoni If you repeat the steps above but reload Related Changes with &experimental_ores_on_rcl=1 at the end of the URL, you should see your preferences being applied. I just tried and it seemed ok on en.wp. Let me know if you see something different.

@Trizek-WMF please wait for this ticket to be resolved before announcing. This is currently in dark lunch (behind a private url flag) and we may need to revert if we find problems during testing.

In T179718#3921984, @SBisson wrote:

The ORES filters on Related Changes are not visible by default. They are hidden behind a private URL parameter (experimental_ores_on_rcl=1) while we check for performance issues.

D'oh! I knew that. Thanks Stephane. Looks good.

Change 406597 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[mediawiki/extensions/ORES@master] Enable ORES filters on RecentChangesLinked

https://gerrit.wikimedia.org/r/406597

I tested this on enwiki using a page with many outgoing links (Category:Living people), one with a moderate number (Albert Einstein) and one with few (() (disambiguation), yes that's a real page) and on all of them, performance didn't suffer at all from using an ORES filter. So let's do this.

Change 406597 merged by jenkins-bot:
[mediawiki/extensions/ORES@master] Enable ORES filters on RecentChangesLinked

https://gerrit.wikimedia.org/r/406597

Etonkovidova added a comment.EditedFeb 9 2018, 11:32 PM

Checked in betalabs (and on enwiki with experimental_ores_on_rcl=1) - seems to be fine.

QA Recommendation: Resolve

jmatazzoni closed this task as Resolved.Mar 15 2018, 5:22 PM